summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-sign-file
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-sign-file')
-rwxr-xr-xMaster/tlpkg/bin/tl-sign-file8
1 files changed, 7 insertions, 1 deletions
diff --git a/Master/tlpkg/bin/tl-sign-file b/Master/tlpkg/bin/tl-sign-file
index 779c0af84e7..b831bd86d77 100755
--- a/Master/tlpkg/bin/tl-sign-file
+++ b/Master/tlpkg/bin/tl-sign-file
@@ -11,8 +11,14 @@ fi
# remove previous signature
rm -f "$1.asc"
+prg=gpg
+if ! [ "x$TL_GNUPG" = "x" ] ; then
+ # use the environment variable TL_GNUPG
+ prg=$TL_GNUPG
+fi
+
# sign
-gpg --batch \
+$prg --batch \
--homedir /home/texlive/.gnupg \
--passphrase-file /home/texlive/.gnupg/passphrase \
--armor \